Subject: Bug#546: Some good investigation

From: Michael DePaulo <[email-masked]>
Date: Sat, 12 Jul 2014 12:07:22 -0400

1. This bug was introduced by 1 of these 2 closely related back-to-back commits:

Don't start pulse on Windows, until we have not session with pulse support.
b9f981d979ab22db4d078c398ecc420f73a46f8c
http://code.x2go.org/gitweb?p=x2goclient.git;a=commit;h=b9f981d979ab22db4d078c398ecc420f73a46f8c

Check if sound is activated before starting pulse.
1a07416622d25006c6458369c135124f63845a71
http://code.x2go.org/gitweb?p=x2goclient.git;a=commit;h=1a07416622d25006c6458369c135124f63845a71

2. If a start a session, log out of the session gracefully, and then
start that session again:
The pulseaudio.exe process stays running after the 1st session ends,
and this bug does not occur.

3. If I do what I originally mentioned to produce this bug:
The pulseaudio process is ended after I disconnect, and then a new one
is started for when I go to reconnect. (And this bug is triggered.)

4. Sometimes I am unable to reproduce this bug. I think that if you
start a session, end that session gracefully, start that session
again, disconnect, and then reconnect, then this bug does not occur. I
did not investigate this fully.